Pular para o conteúdo principal
POST
JavaScript

Autorizações

Authorization
string
header
obrigatório

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Corpo

application/json
aggregation
Meter Aggregation · object
obrigatório

Aggregation configuration for the meter

event_name
string
obrigatório

Event name to track

measurement_unit
string
obrigatório

measurement unit

name
string
obrigatório

Name of the meter

description
string | null

Optional description of the meter

filter
null | Meter Filter · object

Optional filter to apply to the meter

Exemplo:

Resposta

Meter created successfully

aggregation
Meter Aggregation · object
obrigatório
business_id
string
obrigatório
created_at
string<date-time>
obrigatório
event_name
string
obrigatório
id
string
obrigatório
measurement_unit
string
obrigatório
name
string
obrigatório
updated_at
string<date-time>
obrigatório
description
string | null
filter
null | Meter Filter · object

A filter structure that combines multiple conditions with logical conjunctions (AND/OR).

Supports up to 3 levels of nesting to create complex filter expressions. Each filter has a conjunction (and/or) and clauses that can be either direct conditions or nested filters.

Exemplo:
Última modificação em 1 de abril de 2026